Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.gui
Class MDIPaneUI

    java.lang.Object
      |
      +--com.objexcel.gui.MDIPaneUI

Direct Known Subclasses:
  MDIPaneInternalUI, MDIPaneTabUI

public abstract class MDIPaneUI
extends java.lang.Object

MDIPaneUI is the UI implementation of an MDI tabbed pane. There is already an implementation using Tabs and one with internal frames, subclass it if you want a different one

Constructor Summary
`MDIPaneUI()`

Method Summary
`abstract void` | `addComponent(com.objexcel.gui.MDIPane.InternalWindow win)` the ui must update the win.wrapper attribute
`abstract javax.swing.JComponent` | `getComponent()` return the component that hold our collection of internals
`abstract javax.swing.JComponent` | `getSelectedComponent()` return the selected wrapper or wrapee
`abstract void` | `highlightComponent(com.objexcel.gui.MDIPane.InternalWindow win)` over to the laf if it wants to highlight a wrapper, eg.
`abstract void` | `installUI(javax.swing.JComponent c)`
`abstract void` | `removeComponent(com.objexcel.gui.MDIPane.InternalWindow win)`
`abstract void` | `setClosable(com.objexcel.gui.MDIPane.InternalWindow win)`
`abstract void` | `setIcon(com.objexcel.gui.MDIPane.InternalWindow win)`
`abstract void` | `setSelectedWrapper(com.objexcel.gui.MDIPane.InternalWindow win, boolean isSelected)`
`abstract void` | `setTitle(com.objexcel.gui.MDIPane.InternalWindow win)`
`abstract void` | `uninstallUI(javax.swing.JComponent c)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MDIPaneUI

    public MDIPaneUI()

Method Detail

### getComponent

    public abstract javax.swing.JComponent getComponent()

  return the component that hold our collection of internals

### setSelectedWrapper

    public abstract void setSelectedWrapper(com.objexcel.gui.MDIPane.InternalWindow win,
                                            boolean isSelected)

### installUI

    public abstract void installUI(javax.swing.JComponent c)

### uninstallUI

    public abstract void uninstallUI(javax.swing.JComponent c)

### addComponent

    public abstract void addComponent(com.objexcel.gui.MDIPane.InternalWindow win)

  the ui must update the win.wrapper attribute

### highlightComponent

    public abstract void highlightComponent(com.objexcel.gui.MDIPane.InternalWindow win)

  over to the laf if it wants to highlight a wrapper, eg. by highlighting tab

### removeComponent

    public abstract void removeComponent(com.objexcel.gui.MDIPane.InternalWindow win)

### getSelectedComponent

    public abstract javax.swing.JComponent getSelectedComponent()

  return the selected wrapper or wrapee

### setTitle

    public abstract void setTitle(com.objexcel.gui.MDIPane.InternalWindow win)

### setIcon

    public abstract void setIcon(com.objexcel.gui.MDIPane.InternalWindow win)

### setClosable

    public abstract void setClosable(com.objexcel.gui.MDIPane.InternalWindow win)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD